## ros-eloquent-rttest 0.8.2

=== debian/changelog ===
ros-eloquent-rttest (0.8.2-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-eloquent-rttest (0.8.1-1bionic) bionic; urgency=high

  * Fix typo (#83 <https://github.com/ros2/realtime_support/issues/83>)
  * Contributors: Servando

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rttest (0.8.0-1bionic) bionic; urgency=high

  * Switch the latency storage to int64_t (#82 <https://github.com/ros2/realtime_support/issues/82>)
  * Only return statistics if they have been calculated (#81 <https://github.com/ros2/realtime_support/issues/81>)
  * Remove non-package from ament_target_dependencies() (#79 <https://github.com/ros2/realtime_support/issues/79>)
  * Fix armhf build warnings (#78 <https://github.com/ros2/realtime_support/issues/78>)
  * Contributors: Chris Lalancette, Prajakta Gokhale, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-rttest (0.7.1-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rttest (0.7.0-1bionic) bionic; urgency=high

  * Add section about DCO to CONTRIBUTING.md
  * Install headers into the same location when ament_cmake is not used (#72 <https://github.com/ros2/realtime_support/issues/72>)
  * Contributors: Dirk Thomas

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-rttest (0.6.0-1bionic) bionic; urgency=high

  * Drop obsolete RTLinux (#68 <https://github.com/ros2/realtime_support/issues/68>)
    RTLinux is obsolete, and both commercial and GPL editions were no longer
    maintained. Through the use of the real-time Linux kernel patch
    PREEMPT_RT, support for full preemption of critical sections, interrupt
    handlers, and "interrupt disable" code sequences can be supported.
  * Contributors: Jim Huang

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 20 Nov 2018 06:00:00 -0000

ros-eloquent-rttest (0.5.0-1bionic) bionic; urgency=high

  * Update the maintainer (#65 <https://github.com/ros2/realtime_support/issues/65>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 27 Jun 2018 05:00:00 -0000

ros-eloquent-rttest (0.4.0-1bionic) bionic; urgency=high

  * Update style to match latest uncrustify (#57 <https://github.com/ros2/realtime_support/issues/57>)
  * 0.0.3
  * Update style to satisfy new flake8 plugins (#56 <https://github.com/ros2/realtime_support/issues/56>)
  * Use CMAKE_X_STANDARD and check compiler rather than platform
  * Comply with flake8 + flake8-import-order linters (#52 <https://github.com/ros2/realtime_support/issues/52>)
  * Require CMake 3.5
  * C++14 (#50 <https://github.com/ros2/realtime_support/issues/50>)
  * Remove usage of internal variables and noops (#43 <https://github.com/ros2/realtime_support/issues/43>)
  * Add schema to manifest files
  * Disable on Android (#41 <https://github.com/ros2/realtime_support/issues/41>)
  * Use CTest BUILD_TESTING (#38 <https://github.com/ros2/realtime_support/issues/38>)
  * uint32 -> uint64 in a few places for time calculation #33 <https://github.com/ros2/realtime_support/issues/33>)
  * Store filename on heap, add more checks for null pointers (#29 <https://github.com/ros2/realtime_support/issues/29>)
  * Fix memory management of rttest_sample_buffer (#22 <https://github.com/ros2/realtime_support/issues/22>)
  * Fix boundary check (#20 <https://github.com/ros2/realtime_support/issues/20>)
  * Reorganize realtime_support repository (#16)
    
    Add tlsf_cpp repo
    
    Move rttest into subfolder
  * Contributors: Dirk Thomas, Esteve Fernandez, Jackie Kay, Mikael Arguedas, Morgan Quigley, dhood

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 08 Dec 2017 06:00:00 -0000
