=== debian/control ===
Source: ros-eloquent-rttest
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rttest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ros-workspace
Description: Instrumentation library for real-time performance testing
